# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`mlocate`](#mlocate): mlocate class, install and configure mlocate or plocate

#### Private Classes

* `mlocate::config`: This class handles configuration of mlocate
* `mlocate::install`: This class handles installation of mlocate

## Classes

### <a name="mlocate"></a>`mlocate`

mlocate class, install and configure mlocate or plocate

#### Examples

##### Simple Case

```puppet

class{'mlocate':
  prunepaths   => ['/afs', '/mnt' ],
  prunefs      => ['afs', 'fuse'],
  prunenames   => ['.cache', '.git'],
  period       => weekly,
  force_update => true,
}
```

##### Use plocate rather than mlocate

```puppet
class{ 'mlocate':
  locate => 'plocate',
}
```

#### Parameters

The following parameters are available in the `mlocate` class:

* [`package_names`](#-mlocate--package_names)
* [`locate`](#-mlocate--locate)
* [`ensure`](#-mlocate--ensure)
* [`prunefs`](#-mlocate--prunefs)
* [`prune_bind_mounts`](#-mlocate--prune_bind_mounts)
* [`prunepaths`](#-mlocate--prunepaths)
* [`prunenames`](#-mlocate--prunenames)
* [`period`](#-mlocate--period)
* [`package_cron`](#-mlocate--package_cron)
* [`force_updatedb`](#-mlocate--force_updatedb)

##### <a name="-mlocate--package_names"></a>`package_names`

Data type: `Optional[Array[String[1]]]`

Deprecated

Default value: `undef`

##### <a name="-mlocate--locate"></a>`locate`

Data type: `Enum['mlocate','plocate']`

Use plocate or mlocate, default per OS in hiera

##### <a name="-mlocate--ensure"></a>`ensure`

Data type: `Boolean`

Install mlocate or remove mlocate

Default value: `true`

##### <a name="-mlocate--prunefs"></a>`prunefs`

Data type: `Array[String[1]]`

List of filesystem types to ignore

Default value: `[]`

##### <a name="-mlocate--prune_bind_mounts"></a>`prune_bind_mounts`

Data type: `Boolean`

Should bind mounts be searched?

Default value: `true`

##### <a name="-mlocate--prunepaths"></a>`prunepaths`

Data type: `Array[Stdlib::Unixpath]`

List of file systems paths not to search

Default value: `[]`

##### <a name="-mlocate--prunenames"></a>`prunenames`

Data type: `Array[String[1]]`

List of directory or files names to match adn not include.

Default value: `[]`

##### <a name="-mlocate--period"></a>`period`

Data type: `Enum['infinite','daily','weekly','monthly']`

Should the update interval be daily, weekly, monthly or infinite.

Default value: `'daily'`

##### <a name="-mlocate--package_cron"></a>`package_cron`

Data type: `Optional[Stdlib::Unixpath]`

Path to a cron file entry to be purged.

Default value: `undef`

##### <a name="-mlocate--force_updatedb"></a>`force_updatedb`

Data type: `Boolean`

Should puppet run updatedb if no database already exists.

Default value: `false`

